#include "config.h"

void Sys_Init(void)				//系统初始化函数
{
    WTST = 0;  					//设置程序指令延时参数，赋值为0可将CPU执行指令的速度设置为最快
    EAXFR = 1; 					//扩展寄存器(XFR)访问使能
    CKCON = 0; 					//提高访问XRAM速度
	
	P_SW2 |= 0x80;              //B7位置1，使能访问XFR寄存器
	
	P0M0 = 0x00; P0M1 = 0x00; 	
    P1M0 = 0x00; P1M1 = 0x00; 
    P2M0 = 0x00; P2M1 = 0x00; 
    P3M0 = 0x00; P3M1 = 0x00; 
    P4M0 = 0x00; P4M1 = 0x00; 
    P5M0 = 0x00; P5M1 = 0x00; 
    P6M0 = 0x00; P6M1 = 0x00; 
    P7M0 = 0x00; P7M1 = 0x00; 	//将所有的端口都设置成准双向口，方便后期的使用。
}

//作为系统配置的定时函数
void Timer0_Init(void)		//1毫秒@24.000MHz 24位自动重载
{
	TM0PS = 0x00;			//设置定时器时钟预分频 ( 注意:并非所有系列都有此寄存器,详情请查看数据手册 )
	AUXR &= 0x7F;			//定时器时钟12T模式
	TMOD &= 0xF0;			//设置定时器模式
	TL0 = 0x30;				//设置定时初始值
	TH0 = 0xF8;				//设置定时初始值
	TF0 = 0;				//清除TF0标志
	TR0 = 1;				//定时器0开始计时
	ET0 = 1;				//使能定时器0中断
}