#include "task.h"
#include "io.h"

static TASK_COMPONENTS Task_Comps[]=
{
//状态  计数  周期  函数
    {0, 300,  300,  LED0_Blink},      	  /* task 1 Period： 300ms */
    {0, 600,  600,  LED1_Blink},          /* task 2 Period： 600ms */
    {0, 900,  900,  LED2_Blink},          /* task 3 Period： 900ms */
	{0, 1000, 1000, Printf_1S },          /* task 4 Period： 1000ms */
	{0, 10,   10,   Key_Task },           /* task 5 Period： 10ms */
    /* Add new task here */

};


u8 Tasks_Max = sizeof(Task_Comps)/sizeof(Task_Comps[0]); 
//这里使用一个sizeof，通过判断字节数来看Task_Comps[]数组里面有多少个任务，这里是五个。后面的for循环需要用到。

//========================================================================
// 函数: Task_Handler_Callback
// 描述: 任务标记回调函数.
// 参数: None.
// 返回: None.
// 版本: V1.0, 2012-10-22
//========================================================================
void Task_Marks_Handler_Callback(void) //任务标记回调函数
{
    u8 i;
    for(i=0; i<Tasks_Max; i++)         //for循环执行每一个任务
    {
        if(Task_Comps[i].TIMCount)      /* If the time is not 0 */ //当不为0时
        {
            Task_Comps[i].TIMCount--;   /* Time counter decrement */ //自减
            if(Task_Comps[i].TIMCount == 0) /* If time arrives *///为0
            {
                /*Resume the timer value and try again */
                Task_Comps[i].TIMCount = Task_Comps[i].TRITime;  //先重载，方便下一次的使用
                Task_Comps[i].Run = 1;      /* The task can be run *///设置标志位状态，run为1了，该去执行下面函数了。
            }
        }
    }
}

//========================================================================
// 函数: Task_Pro_Handler_Callback
// 描述: 任务处理回调函数.
// 参数: None.
// 返回: None.
// 版本: V1.0, 2012-10-22
//========================================================================
void Task_Pro_Handler_Callback(void)	//任务处理回调函数
{
    u8 i;
    for(i=0; i<Tasks_Max; i++)			//一样的循环
    {
        if(Task_Comps[i].Run) /* If task can be run */		//判断run的状态
        {
            Task_Comps[i].Run = 0;      /* Flag clear 0 */	//也是重新设置为初始状态，run=0
            Task_Comps[i].TaskHook();   /* Run task */		//去执行下面的函数
        }
    }
}
